#ifndef __BOOST_DEF_H__
#define __BOOST_DEF_H__

#include "potion.h"

class boost_def final: public potion {
        static const int BOOST_DEF = 5;
public:
        boost_def(const position &pos);
        void apply(const enum race &race, int &HP, int &ATK, int &DEF,
                   fraction &base_hit_rate) override;
        int get_priority() const override;
        const char *get_name() const override;
};

#endif
